<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: Nu-LB-Mini51/src/lcd_driver.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="dir_97b8181d9a45c5ab0b3b58a411b81586.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">lcd_driver.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="lcd__driver_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="lcd__driver_8h.html">lcd_driver.h</a>&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">extern</span>  <span class="keyword">const</span> <span class="keywordtype">char</span> <a class="code" href="lcd__driver_8c.html#a415e838dfa3cab37cb26a9b8afea2ae0">Ascii</a>[];</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">   22</a></span>&#160;<span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(uint32_t u32Data)</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;TX = u32Data;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;CNTRL |= <a class="code" href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">while</span>((<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;CNTRL &amp; <a class="code" href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a>));</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;CNTRL |= <a class="code" href="_mini51_series_8h.html#a1e40f8773687ddb83a0eaa370f60de75">SPI_CNTRL_IF_Msk</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3">   35</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3">LCD_Init</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="comment">/* Use SPI for LCD */</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;P0_MFP &amp;= ~(<a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e54750b2a33fadc74a11286eacaf55d">SYS_MFP_P07_Msk</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf746d74246f2a7489d98068cebf0d03c">SYS_MFP_P06_Msk</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17250650a7847bbcd3d32e76875cc640">SYS_MFP_P05_Msk</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fd7fb48614f2f0914dbfbd36681a59e">SYS_MFP_P04_Msk</a>);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;P0_MFP |= <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga14efb7aac8c3c18feb77ae50ec658902">SYS_MFP_P07_SPICLK</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac86736a6946c44abecc9f7841e7e35f">SYS_MFP_P06_MISO</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga025b7bc0c018fb0ec7b49f9c708dc467">SYS_MFP_P05_MOSI</a> | <a class="code" href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f25f55626e6ed730b97a3bb02713123">SYS_MFP_P04_SPISS</a>;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a>-&gt;APBCLK |= <a class="code" href="_mini51_series_8h.html#aba167d8bfa5835ec4b74d277ec40a8cc">CLK_APBCLK_SPI_EN_Msk</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 |= <a class="code" href="_mini51_series_8h.html#ab018e02b4a6a61954ef2d7f4fa5cce9f">SYS_IPRSTC2_SPI_RST_Msk</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 &amp;= (~<a class="code" href="_mini51_series_8h.html#ab018e02b4a6a61954ef2d7f4fa5cce9f">SYS_IPRSTC2_SPI_RST_Msk</a>);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="comment">/* Initial SPI data format and SPI clock */</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;CNTRL = <a class="code" href="_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="code" href="_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a> | (9 &lt;&lt; <a class="code" href="_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a>);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;DIVIDER = (((12000000 / 2000000) + 1) &gt;&gt; 1) - 1;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="comment">/* Enable the automatic hardware slave select function. Select the SS pin and configure as low-active. */</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a>-&gt;SSR = <a class="code" href="_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a> | <a class="code" href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a> ;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="comment">// Set BR</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0xEB);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="comment">// Set PM</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x81);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0xA0);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0xC0);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="comment">// Set Display Enable</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0xAF);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;}</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">   72</a></span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a>(uint8_t PA, uint8_t CA)</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;{</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="comment">// Set PA</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0xB0 | PA);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="comment">// Set CA MSB</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x10 | (CA &gt;&gt; 4) &amp; 0xF);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="comment">// Set CA LSB</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x00 | (CA &amp; 0xF));</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">   91</a></span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">ShowChar</a>(uint8_t x, uint8_t y, uint8_t ascii_word)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;{</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">int</span> i = 0, k = 0;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> temp;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    k = (ascii_word - 32) * 16;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">for</span> (i = 0; i &lt; 8; i++)</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    {</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <a class="code" href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a>((x*2), (129 - (y*8) - i));</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        temp = <a class="code" href="lcd__driver_8c.html#a415e838dfa3cab37cb26a9b8afea2ae0">Ascii</a>[k+i];</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x100 | temp);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordflow">for</span> (i = 0; i &lt; 8; i++)</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    {</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <a class="code" href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a>((x*2) + 1, (129 - (y*8) - i));</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        temp = <a class="code" href="lcd__driver_8c.html#a415e838dfa3cab37cb26a9b8afea2ae0">Ascii</a>[k+i+8];</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x100 | temp);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;}</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a9283461e486666e1c2ddf4b0a7d66035">  117</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a9283461e486666e1c2ddf4b0a7d66035">LCD_EnableBackLight</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;{</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a>(<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>,0x10,<a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a>);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81622f9cc35ed4397b2d4714d88ae083">P54</a> = 0;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#abf0d70390244c023aed14e7b088d047a">  128</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#abf0d70390244c023aed14e7b088d047a">LCD_DisableBackLight</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;{</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a>(<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a>,0x10,<a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a>);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <a class="code" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81622f9cc35ed4397b2d4714d88ae083">P54</a> = 1;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;}</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33">  140</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33">LCD_Print</a>(uint8_t line, <span class="keywordtype">char</span> *str)</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;{</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordtype">int</span> i = 0;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordflow">do</span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    {</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <a class="code" href="lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">ShowChar</a>(line, i, *str++);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        i++;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordflow">if</span> (i &gt; 15)</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    }</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordflow">while</span> (*str != <span class="charliteral">&#39;\0&#39;</span>);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;}</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62">  158</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62">LCD_ClearScreen</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;{</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordtype">int</span> i = 0;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    <span class="comment">/*CLEAR ALL PANEL*/</span></div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <a class="code" href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a>(0x0, 0x0);</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordflow">for</span> (i = 0; i &lt; 132 *8; i++)</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    {</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x100);</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    }</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <a class="code" href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a>(0x10f);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;}</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="ttc" id="_mini51_series_8h_html_a764f2151917c254c26aba0b7c7875f57"><div class="ttname"><a href="_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_CLKP_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07952">Mini51Series.h:7952</a></div></div>
<div class="ttc" id="lcd__driver_8h_html"><div class="ttname"><a href="lcd__driver_8h.html">lcd_driver.h</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a74835feceed72dcec4ce2d552625a7e3"><div class="ttname"><a href="_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a></div><div class="ttdeci">#define SPI_SSR_AUTOSS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07994">Mini51Series.h:7994</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga49ce5f7954a95865f12be8083ccb2719"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga49ce5f7954a95865f12be8083ccb2719">P5</a></div><div class="ttdeci">#define P5</div><div class="ttdoc">Pointer to GPIO port 5 register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09944">Mini51Series.h:9944</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_aa53c9d40f3aa552a9974cd55ac510cb3"><div class="ttname"><a href="lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3">LCD_Init</a></div><div class="ttdeci">void LCD_Init(void)</div><div class="ttdoc">Use SPI interface to configure LCD module.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00035">lcd_driver.c:35</a></div></div>
<div class="ttc" id="_mini51_series_8h_html"><div class="ttname"><a href="_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="lcd__driver_8c_html_a94fbeb72dc11e70385bf5e3730fddf33"><div class="ttname"><a href="lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33">LCD_Print</a></div><div class="ttdeci">void LCD_Print(uint8_t line, char *str)</div><div class="ttdoc">Show a string on specific line.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00140">lcd_driver.c:140</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a96402e8d0fddf85a67a326268bbc79a9"><div class="ttname"><a href="_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a></div><div class="ttdeci">#define SPI_CNTRL_TX_BIT_LEN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07945">Mini51Series.h:7945</a></div></div>
<div class="ttc" id="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga81622f9cc35ed4397b2d4714d88ae083"><div class="ttname"><a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81622f9cc35ed4397b2d4714d88ae083">P54</a></div><div class="ttdeci">#define P54</div><div class="ttdef"><b>Definition:</b> <a href="gpio_8h_source.html#l00142">gpio.h:142</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a09bf22557407e7d8132d1feae13bab6b"><div class="ttname"><a href="_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_TX_NEG_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07943">Mini51Series.h:7943</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a415e838dfa3cab37cb26a9b8afea2ae0"><div class="ttname"><a href="lcd__driver_8c.html#a415e838dfa3cab37cb26a9b8afea2ae0">Ascii</a></div><div class="ttdeci">const char Ascii[]</div><div class="ttdef"><b>Definition:</b> <a href="ascii__table_8c_source.html#l00014">ascii_table.c:14</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf746d74246f2a7489d98068cebf0d03c"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf746d74246f2a7489d98068cebf0d03c">SYS_MFP_P06_Msk</a></div><div class="ttdeci">#define SYS_MFP_P06_Msk</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00086">sys.h:86</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_abf0d70390244c023aed14e7b088d047a"><div class="ttname"><a href="lcd__driver_8c.html#abf0d70390244c023aed14e7b088d047a">LCD_DisableBackLight</a></div><div class="ttdeci">void LCD_DisableBackLight(void)</div><div class="ttdoc">Disable back-light of LCD.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00128">lcd_driver.c:128</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga4fd7fb48614f2f0914dbfbd36681a59e"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fd7fb48614f2f0914dbfbd36681a59e">SYS_MFP_P04_Msk</a></div><div class="ttdeci">#define SYS_MFP_P04_Msk</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00078">sys.h:78</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gaadd93900fc87105fa3ef514675d4133b"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gaadd93900fc87105fa3ef514675d4133b">SPI</a></div><div class="ttdeci">#define SPI</div><div class="ttdoc">Pointer to SPI register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09928">Mini51Series.h:9928</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a60f7e004da7ab5f23d374ed1dd911518"><div class="ttname"><a href="lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a></div><div class="ttdeci">static __INLINE void SpiWrite(uint32_t u32Data)</div><div class="ttdoc">Macro for SPI write method.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00022">lcd_driver.c:22</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaac86736a6946c44abecc9f7841e7e35f"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaac86736a6946c44abecc9f7841e7e35f">SYS_MFP_P06_MISO</a></div><div class="ttdeci">#define SYS_MFP_P06_MISO</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00085">sys.h:85</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09936">Mini51Series.h:9936</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_ab018e02b4a6a61954ef2d7f4fa5cce9f"><div class="ttname"><a href="_mini51_series_8h.html#ab018e02b4a6a61954ef2d7f4fa5cce9f">SYS_IPRSTC2_SPI_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRSTC2_SPI_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l02757">Mini51Series.h:2757</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a9a5df5d88ea29e720056407861871089"><div class="ttname"><a href="lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a></div><div class="ttdeci">static void SetPACA(uint8_t PA, uint8_t CA)</div><div class="ttdoc">Configure start address of LCD.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00072">lcd_driver.c:72</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga025b7bc0c018fb0ec7b49f9c708dc467"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga025b7bc0c018fb0ec7b49f9c708dc467">SYS_MFP_P05_MOSI</a></div><div class="ttdeci">#define SYS_MFP_P05_MOSI</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00081">sys.h:81</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga8e54750b2a33fadc74a11286eacaf55d"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e54750b2a33fadc74a11286eacaf55d">SYS_MFP_P07_Msk</a></div><div class="ttdeci">#define SYS_MFP_P07_Msk</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00090">sys.h:90</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_aec9fa871cbd158fb96778b2f1bf552d7"><div class="ttname"><a href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_GO_BUSY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07937">Mini51Series.h:7937</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga17250650a7847bbcd3d32e76875cc640"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17250650a7847bbcd3d32e76875cc640">SYS_MFP_P05_Msk</a></div><div class="ttdeci">#define SYS_MFP_P05_Msk</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00082">sys.h:82</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a1e40f8773687ddb83a0eaa370f60de75"><div class="ttname"><a href="_mini51_series_8h.html#a1e40f8773687ddb83a0eaa370f60de75">SPI_CNTRL_IF_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_IF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07958">Mini51Series.h:7958</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_aba167d8bfa5835ec4b74d277ec40a8cc"><div class="ttname"><a href="_mini51_series_8h.html#aba167d8bfa5835ec4b74d277ec40a8cc">CLK_APBCLK_SPI_EN_Msk</a></div><div class="ttdeci">#define CLK_APBCLK_SPI_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l01535">Mini51Series.h:1535</a></div></div>
<div class="ttc" id="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa2d25bd7fd805f81e465e5f2f0f43123"><div class="ttname"><a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a></div><div class="ttdeci">void GPIO_SetMode(GPIO_T *gpio, uint32_t u32PinMask, uint32_t u32Mode)</div><div class="ttdoc">Set GPIO operation mode.</div><div class="ttdef"><b>Definition:</b> <a href="gpio_8c_source.html#l00040">gpio.c:40</a></div></div>
<div class="ttc" id="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga903d206776eed930eb08a97bfde30f21"><div class="ttname"><a href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">GPIO_PMD_OUTPUT</a></div><div class="ttdeci">#define GPIO_PMD_OUTPUT</div><div class="ttdef"><b>Definition:</b> <a href="gpio_8h_source.html#l00038">gpio.h:38</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga4b355291fe6b8ba8e167ab0faa862e45"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga4b355291fe6b8ba8e167ab0faa862e45">CLK</a></div><div class="ttdeci">#define CLK</div><div class="ttdoc">Pointer to CLK register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09937">Mini51Series.h:9937</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a9283461e486666e1c2ddf4b0a7d66035"><div class="ttname"><a href="lcd__driver_8c.html#a9283461e486666e1c2ddf4b0a7d66035">LCD_EnableBackLight</a></div><div class="ttdeci">void LCD_EnableBackLight(void)</div><div class="ttdoc">Enable back-light of LCD.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00117">lcd_driver.c:117</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga2f25f55626e6ed730b97a3bb02713123"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f25f55626e6ed730b97a3bb02713123">SYS_MFP_P04_SPISS</a></div><div class="ttdeci">#define SYS_MFP_P04_SPISS</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00076">sys.h:76</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a25e1f60dd77e50ae7ded44a431214c62"><div class="ttname"><a href="lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62">LCD_ClearScreen</a></div><div class="ttdeci">void LCD_ClearScreen(void)</div><div class="ttdoc">Clear screen to background color.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00158">lcd_driver.c:158</a></div></div>
<div class="ttc" id="lcd__driver_8c_html_a1dfcd39fc3529f25c6ff7e935301b91a"><div class="ttname"><a href="lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">ShowChar</a></div><div class="ttdeci">static void ShowChar(uint8_t x, uint8_t y, uint8_t ascii_word)</div><div class="ttdoc">Show a char on LCD.</div><div class="ttdef"><b>Definition:</b> <a href="lcd__driver_8c_source.html#l00091">lcd_driver.c:91</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a4d0ff5ea2d8b54bc0c0903edfa392906"><div class="ttname"><a href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a></div><div class="ttdeci">#define SPI_SSR_SSR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07988">Mini51Series.h:7988</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga14efb7aac8c3c18feb77ae50ec658902"><div class="ttname"><a href="group___m_i_n_i51___s_y_s___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga14efb7aac8c3c18feb77ae50ec658902">SYS_MFP_P07_SPICLK</a></div><div class="ttdeci">#define SYS_MFP_P07_SPICLK</div><div class="ttdef"><b>Definition:</b> <a href="sys_8h_source.html#l00089">sys.h:89</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
